Name:           perl-Convert-ASCII-Armour
Version:        1.4
Release:        %mkrel 8
License:        Artistic

%define realname        Convert-ASCII-Armour
Group:          Development/Perl

Summary:        Convert binary octets into ASCII armoured messages
Source0:        ftp://ftp.perl.org/pub/CPAN/modules/by-module/Convert/%{realname}-%{version}.tar.bz2
Url:            http://www.cpan.org
Prefix:         %{_prefix}
BuildRequires:  perl(Compress::Zlib)  
Requires:       perl
BuildArch:      noarch

%description 
This module converts hashes of binary octets into ASCII
messages suitable for transfer over 6-bit clean transport
channels. The encoded ASCII resembles PGP's armoured
messages, but are in no way compatible with PGP.

%prep
%setup -q -n %{realname}-%{version}

%build
CFLAGS="$RPM_OPT_FLAGS" echo | %{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root)
%doc ARTISTIC
%{perl_vendorlib}/*
%{_mandir}/*/*

%changelog
* Mon Jan 24 2011 jquelin <jquelin> 1.4-8.mga1
+ Revision: 36863
- rebuild

* Sun Jan 23 2011 jquelin <jquelin> 1.4-7.mga1
+ Revision: 34885
- mageia rebuild
- imported package perl-Convert-ASCII-Armour


* Mon Sep 07 2009 Thierry Vignaud <tv@mandriva.org> 1.4-7mdv2010.0
+ Revision: 432208
- fix BR
- rebuild

* Wed Jul 23 2008 Thierry Vignaud <tv@mandriva.org> 1.4-6mdv2009.0
+ Revision: 241192
- rebuild
- fix no-buildroot-tag
- kill (multiple!) definitions of %%buildroot on Pixel's request

* Sat Sep 15 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.4-4mdv2008.0
+ Revision: 86212
- rebuild


* Mon Aug 28 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 2006-08-28 14:53:08 (58422)
- mkrel
- check section

* Mon Aug 28 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 2006-08-28 14:51:25 (58419)
Import perl-Convert-ASCII-Armour

* Wed Feb 09 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.4-2mdk
- rebuild for new perl

* Thu Nov 06 2003 Arnaud de Lorbeau <adelorbeau@mandrakesoft.com> 1.4-1mdk
- New package

